# 数据源配置
easy-mongodb:
  enable: true
  address:
    - es.angledoudou.top:27017
    - es.angledoudou.top:27018
    - es.angledoudou.top:27019
  replicaSet: mongos
  database: rouyi-vue
  username: doudou-admin
  password: admin.1qazXSW.password
  authDB: admin
  minConnectionsPerHost: 0
  maxConnectionsPerHost: 100
  threadsAllowedToBlockForConnectionMultiplier: 5
  serverSelectionTimeout: 30000
  maxWaitTime: 12000
  maxConnectionIdleTime: 0
  maxConnectionLifeTime: 0
  connectTimeout: 10000
  socketTimeout: 0
  socketKeepAlive: false
  sslEnabled: false
  sslInvalidHostNameAllowed: false
  alwaysUseMBeans: false
  heartbeatConnectTimeout: 20000
  heartbeatSocketTimeout: 20000
  minHeartbeatFrequency: 500
  heartbeatFrequency: 10000
  localThreshold: 15
  schema: http
  keep-alive-millis: 18000
  global-config:
    process-index-mode: smoothly
    async-process-index-blocking: true
    print-dsl: false
    db-config:
      database: test
      map-underscore-to-camel-case: true
      #      table-prefix: dev_
      id-type: customize
      field-strategy: not_empty
      refresh-policy: immediate
      enable-track-total-hits: true
      enable-must2-filter: false
logging:
  level:
    org.mongodb.driver.protocol.command: debug